blob: fd5cf7ff5079d5ef6a24f04b930c1f0753a177d6 [file] [log] [blame]
Tom Rinid2244b92019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Joel Stanleyb97c1d42022-08-23 16:18:26 +10003# Grab our configured image. The source for this is found
4# in the u-boot tree at tools/docker/Dockerfile
Tom Rini2f918482023-03-21 15:31:19 -04005image: trini/u-boot-gitlab-ci-runner:jammy-20230308-21Mar2023
Tom Rinid2244b92019-06-19 09:25:17 -04006
7# We run some tests in different order, to catch some failures quicker.
8stages:
Tom Rinid2244b92019-06-19 09:25:17 -04009 - testsuites
Tom Rini1cdb1822019-07-24 13:09:31 -040010 - test.py
Tom Rinid2244b92019-06-19 09:25:17 -040011 - world build
12
13.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rinid2244b92019-06-19 09:25:17 -040014 stage: test.py
15 before_script:
16 # Clone uboot-test-hooks
Tom Rinie0f979b2022-11-21 12:52:40 -050017 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini2a1df582021-02-24 17:05:04 -050018 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rinid2244b92019-06-19 09:25:17 -040019 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
20 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini6ad26042019-10-04 12:12:54 -040021 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
22 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Mengb68d9d62020-03-28 07:25:29 -070023 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Heinrich Schuchardtac1b4002021-04-02 11:42:01 +020024 wget -O - https://github.com/riscv/opensbi/releases/download/v0.9/opensbi-0.9-rv-bin.tar.xz | tar -C /tmp -xJ;
25 export OPENSBI=/tmp/opensbi-0.9-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070026 fi
Bin Meng0ae41062021-08-26 23:33:35 +080027 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Heinrich Schuchardtac1b4002021-04-02 11:42:01 +020028 wget -O - https://github.com/riscv/opensbi/releases/download/v0.9/opensbi-0.9-rv-bin.tar.xz | tar -C /tmp -xJ;
29 export OPENSBI=/tmp/opensbi-0.9-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070030 fi
Tom Rini1cdb1822019-07-24 13:09:31 -040031
Tom Rinid2244b92019-06-19 09:25:17 -040032 after_script:
Marek Vasutc1a44de2023-03-03 02:22:25 +010033 - cp -v /tmp/${TEST_PY_BD}/*.{html,css} .
Heinrich Schuchardt159b0ab2019-12-19 13:30:32 +010034 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rinid2244b92019-06-19 09:25:17 -040035 script:
Simon Glassda499352020-03-18 09:42:57 -060036 # If we've been asked to use clang only do one configuration.
Simon Glass28d83e72020-03-18 09:42:55 -060037 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass2e32f5d2022-08-03 12:13:09 -060038 - echo BUILD_ENV ${BUILD_ENV}
Simon Glassc2f01902023-01-15 14:16:00 -070039 - if [ -n "${BUILD_ENV}" ]; then
40 export ${BUILD_ENV};
41 fi
Simon Glass87c80462020-03-18 09:43:00 -060042 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
43 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020044 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
45 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
46 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020047 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
48 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0ae41062021-08-26 23:33:35 +080049 # create sdcard / spi-nor images for sifive unleashed using genimage
50 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
51 mkdir -p root;
52 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
53 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
54 rm -rf tmp;
55 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
56 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
57 rm -rf tmp;
58 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
59 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
60 fi
Simon Glass13e1fa02022-01-21 10:23:01 -070061 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
62 wget -O -
63 "https://drive.google.com/uc?id=1x6nrtWIyIRPLS2cQBwYTnT2TbOI8UjmM&export=download" |
64 xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
65 wget -O -
66 "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" >
67 cbfstool;
68 chmod a+x cbfstool;
69 ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
70 fi
Tom Riniebcd2142019-10-24 11:59:27 -040071 - virtualenv -p /usr/bin/python3 /tmp/venv
72 - . /tmp/venv/bin/activate
73 - pip install -r test/py/requirements.txt
Simon Glass2600f7e2020-03-18 09:42:56 -060074 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass28d83e72020-03-18 09:42:55 -060075 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rinid2244b92019-06-19 09:25:17 -040076 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardt2a3ec0a2020-07-10 22:04:40 +020077 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass2600f7e2020-03-18 09:42:56 -060078 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glassfd0c59b2020-03-18 09:42:59 -060079 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Marek Vasutc1a44de2023-03-03 02:22:25 +010080 artifacts:
81 when: always
82 paths:
83 - "*.html"
84 - "*.css"
85 expire_in: 1 week
Tom Rinid2244b92019-06-19 09:25:17 -040086
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +020087build all 32bit ARM platforms:
Tom Rinid2244b92019-06-19 09:25:17 -040088 stage: world build
89 script:
90 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -050091 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini93ebd462022-11-09 19:14:53 -070092 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -060093 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -060094 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -040095 exit $ret;
96 fi;
Tom Rini372c6972019-07-17 17:51:28 -040097
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +020098build all 64bit ARM platforms:
Tom Rini372c6972019-07-17 17:51:28 -040099 stage: world build
100 script:
Tom Rini6c883102020-02-11 12:41:14 -0500101 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rini7faea832019-07-18 07:28:36 -0400102 - . /tmp/venv/bin/activate
Tom Rini372c6972019-07-17 17:51:28 -0400103 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500104 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini93ebd462022-11-09 19:14:53 -0700105 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600106 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600107 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400108 exit $ret;
109 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400110
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200111build all PowerPC platforms:
Tom Rini372c6972019-07-17 17:51:28 -0400112 stage: world build
113 script:
114 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500115 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassda499352020-03-18 09:42:57 -0600116 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
117 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600118 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400119 exit $ret;
120 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400121
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200122build all other platforms:
Tom Rini372c6972019-07-17 17:51:28 -0400123 stage: world build
124 script:
125 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500126 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini93ebd462022-11-09 19:14:53 -0700127 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600128 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600129 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400130 exit $ret;
131 fi;
Tom Rinid2244b92019-06-19 09:25:17 -0400132
Tom Rini1cc7e4c2022-12-04 10:14:15 -0500133check for new CONFIG symbols outside Kconfig:
Tom Rinibdfa3762021-12-14 13:36:41 -0500134 stage: testsuites
135 script:
Tom Rini1cc7e4c2022-12-04 10:14:15 -0500136 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
137 # If grep succeeds and finds a match the test fails as we should
138 # have no matches.
139 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rini8f7345c2023-01-10 11:19:46 -0500140 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
141 :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
Tom Rinibdfa3762021-12-14 13:36:41 -0500142
Tom Rinid2244b92019-06-19 09:25:17 -0400143# QA jobs for code analytics
144# static code analysis with cppcheck (we can add --enable=all later)
145cppcheck:
Tom Rinid2244b92019-06-19 09:25:17 -0400146 stage: testsuites
147 script:
Simon Glasscd1ccfa2020-04-05 14:35:43 -0600148 - cppcheck -j$(nproc) --force --quiet --inline-suppr .
Tom Rinid2244b92019-06-19 09:25:17 -0400149
150# search for TODO within source tree
151grep TODO/FIXME/HACK:
Tom Rinid2244b92019-06-19 09:25:17 -0400152 stage: testsuites
153 script:
154 - grep -r TODO .
155 - grep -r FIXME .
156 # search for HACK within source tree and ignore HACKKIT board
157 - grep -r HACK . | grep -v HACKKIT
158
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100159# build documentation
160docs:
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100161 stage: testsuites
162 script:
Heinrich Schuchardt846abe42021-01-25 22:06:25 +0100163 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
164 - . /tmp/venvhtml/bin/activate
165 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100166 - make htmldocs
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100167 - make infodocs
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100168
Tom Rinid2244b92019-06-19 09:25:17 -0400169# some statistics about the code base
170sloccount:
Tom Rinid2244b92019-06-19 09:25:17 -0400171 stage: testsuites
172 script:
173 - sloccount .
174
175# ensure all configs have MAINTAINERS entries
176Check for configs without MAINTAINERS entry:
Tom Rinid2244b92019-06-19 09:25:17 -0400177 stage: testsuites
178 script:
Simon Glass12d9b5d2022-07-11 19:04:09 -0600179 - ./tools/buildman/buildman -R
Tom Rinid2244b92019-06-19 09:25:17 -0400180
181# Ensure host tools build
182Build tools-only:
Tom Rinid2244b92019-06-19 09:25:17 -0400183 stage: testsuites
184 script:
185 - make tools-only_config tools-only -j$(nproc)
186
Pierre-Jean Texier6812f5e2019-08-26 13:06:18 +0200187# Ensure env tools build
188Build envtools:
Pierre-Jean Texier6812f5e2019-08-26 13:06:18 +0200189 stage: testsuites
190 script:
191 - make tools-only_config envtools -j$(nproc)
192
Tom Rini0b3e0c42020-03-11 18:11:15 -0400193Run binman, buildman, dtoc, Kconfig and patman testsuites:
Tom Rinid2244b92019-06-19 09:25:17 -0400194 stage: testsuites
195 script:
Tom Rini0b6e1032019-08-12 10:09:08 -0400196 - git config --global user.name "GitLab CI Runner";
197 git config --global user.email trini@konsulko.com;
Tom Rinid1ed4462022-08-09 21:08:54 -0400198 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini0b6e1032019-08-12 10:09:08 -0400199 export USER=gitlab;
Tom Rini6c883102020-02-11 12:41:14 -0500200 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rini0b6e1032019-08-12 10:09:08 -0400201 . /tmp/venv/bin/activate;
Tom Rini70c66dd2021-02-26 07:52:29 -0500202 pip install -r test/py/requirements.txt;
Simon Glass9e589c02020-03-18 09:42:50 -0600203 export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl;
Tom Rini0b6e1032019-08-12 10:09:08 -0400204 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
205 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinid1ed4462022-08-09 21:08:54 -0400206 set +e;
Simon Glass492f0b02021-03-15 17:25:34 +1300207 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
208 --board sandbox_spl;
Tom Rinid1ed4462022-08-09 21:08:54 -0400209 set -e;
Tom Rini0b6e1032019-08-12 10:09:08 -0400210 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
211 ./tools/buildman/buildman -t;
212 ./tools/dtoc/dtoc -t;
Simon Glass109e84e2020-07-05 21:41:55 -0600213 ./tools/patman/patman test;
Tom Rini0b3e0c42020-03-11 18:11:15 -0400214 make testconfig
Tom Rinid2244b92019-06-19 09:25:17 -0400215
Pali Rohár80ad67b2020-05-17 14:38:22 +0200216Run tests for Nokia RX-51 (aka N900):
Pali Rohár80ad67b2020-05-17 14:38:22 +0200217 stage: testsuites
218 script:
Pali Rohárd88c1472023-02-21 11:22:29 -0500219 - mkdir nokia_rx51_tmp;
220 ln -s /opt/nokia/u-boot-gen-combined nokia_rx51_tmp/;
221 ln -s /opt/nokia/qemu-n900.tar.gz nokia_rx51_tmp/;
222 ln -s /opt/nokia/kernel_2.6.28-20103103+0m5_armel.deb nokia_rx51_tmp/;
223 ln -s /opt/nokia/libc6_2.5.1-1eglibc27+0m5_armel.deb nokia_rx51_tmp/;
224 ln -s /opt/nokia/busybox_1.10.2.legal-1osso30+0m5_armel.deb nokia_rx51_tmp/;
225 ln -s /opt/nokia/qemu-system-arm nokia_rx51_tmp/;
226 export PATH=/opt/gcc-12.2.0-nolibc/arm-linux-gnueabi/bin:$PATH;
Pali Rohár80ad67b2020-05-17 14:38:22 +0200227 test/nokia_rx51_test.sh
228
Simon Glassf6903262022-02-11 13:23:26 -0700229# Check for any pylint regressions
230Run pylint:
231 stage: testsuites
232 script:
Tom Rinid1ed4462022-08-09 21:08:54 -0400233 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glassf6903262022-02-11 13:23:26 -0700234 - pip install -r test/py/requirements.txt
Tom Rini090ff812022-03-25 08:19:09 -0400235 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glassf6903262022-02-11 13:23:26 -0700236 - export PATH=${PATH}:~/.local/bin
237 - echo "[MASTER]" >> .pylintrc
238 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
239 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl
Tom Rinid1ed4462022-08-09 21:08:54 -0400240 - set +e
Simon Glassf6903262022-02-11 13:23:26 -0700241 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
242 --board sandbox_spl
Tom Rinid1ed4462022-08-09 21:08:54 -0400243 - set -e
Simon Glassf6903262022-02-11 13:23:26 -0700244 - pylint --version
245 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
246 - make pylint_err
247
Simon Glassf96763a2023-02-13 08:56:39 -0700248# Check for pre-schema driver model tags
249Check for pre-schema tags:
250 stage: testsuites
251 script:
252 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
253 # If grep succeeds and finds a match the test fails as we should
254 # have no matches.
255 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
256
Simon Glass5dd13b92023-02-23 18:18:24 -0700257# Check we can package the Python tools
258Check packing of Python tools:
259 stage: testsuites
260 script:
261 - make pip
262
Tom Rinid2244b92019-06-19 09:25:17 -0400263# Test sandbox with test.py
264sandbox test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400265 variables:
266 TEST_PY_BD: "sandbox"
Tom Rinid2244b92019-06-19 09:25:17 -0400267 <<: *buildman_and_testpy_dfn
268
Tom Rini99a1bb32019-11-06 19:30:47 -0500269sandbox with clang test.py:
Tom Rini99a1bb32019-11-06 19:30:47 -0500270 variables:
271 TEST_PY_BD: "sandbox"
Tom Rini77d48f12022-11-22 12:31:58 -0500272 OVERRIDE: "-O clang-14"
Tom Rini99a1bb32019-11-06 19:30:47 -0500273 <<: *buildman_and_testpy_dfn
274
Simon Glass2e32f5d2022-08-03 12:13:09 -0600275sandbox without LTO test.py:
276 variables:
277 TEST_PY_BD: "sandbox"
278 BUILD_ENV: "NO_LTO=1"
279 <<: *buildman_and_testpy_dfn
280
Tom Rinid2244b92019-06-19 09:25:17 -0400281sandbox_spl test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400282 variables:
283 TEST_PY_BD: "sandbox_spl"
Simon Glass36a69e12020-10-25 20:38:36 -0600284 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rinid2244b92019-06-19 09:25:17 -0400285 <<: *buildman_and_testpy_dfn
286
Simon Glass492f0b02021-03-15 17:25:34 +1300287sandbox_noinst_test.py:
Simon Glass492f0b02021-03-15 17:25:34 +1300288 variables:
289 TEST_PY_BD: "sandbox_noinst"
290 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
291 <<: *buildman_and_testpy_dfn
292
Simon Glassa2a4eea2022-04-30 00:56:57 -0600293sandbox_vpl test.py:
294 variables:
295 TEST_PY_BD: "sandbox_vpl"
296 TEST_PY_TEST_SPEC: "test_vpl_help or test_spl"
297 <<: *buildman_and_testpy_dfn
298
Simon Glassc2f01902023-01-15 14:16:00 -0700299# Enable tracing and disable LTO, to ensure functions are not elided
300sandbox trace_test.py:
301 variables:
302 TEST_PY_BD: "sandbox"
303 BUILD_ENV: "FTRACE=1 NO_LTO=1"
304 TEST_PY_TEST_SPEC: "trace"
305 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000"
306 <<: *buildman_and_testpy_dfn
307
Tom Rini0008b882019-07-17 16:06:57 -0400308evb-ast2500 test.py:
Tom Rini0008b882019-07-17 16:06:57 -0400309 variables:
310 TEST_PY_BD: "evb-ast2500"
311 TEST_PY_ID: "--id qemu"
Tom Rini0008b882019-07-17 16:06:57 -0400312 <<: *buildman_and_testpy_dfn
313
Joel Stanley3f21e1b2022-06-29 16:35:25 +0930314evb-ast2600 test.py:
315 variables:
316 TEST_PY_BD: "evb-ast2600"
317 TEST_PY_ID: "--id qemu"
318 <<: *buildman_and_testpy_dfn
319
Tom Rinid2244b92019-06-19 09:25:17 -0400320sandbox_flattree test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400321 variables:
322 TEST_PY_BD: "sandbox_flattree"
Tom Rinid2244b92019-06-19 09:25:17 -0400323 <<: *buildman_and_testpy_dfn
324
Kristian Amlie8f8a2992021-09-07 08:37:51 +0200325vexpress_ca9x4 test.py:
326 variables:
327 TEST_PY_BD: "vexpress_ca9x4"
328 TEST_PY_ID: "--id qemu"
329 <<: *buildman_and_testpy_dfn
330
Tom Rinid2244b92019-06-19 09:25:17 -0400331integratorcp_cm926ejs test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400332 variables:
333 TEST_PY_BD: "integratorcp_cm926ejs"
334 TEST_PY_TEST_SPEC: "not sleep"
335 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400336 <<: *buildman_and_testpy_dfn
337
338qemu_arm test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400339 variables:
340 TEST_PY_BD: "qemu_arm"
341 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400342 <<: *buildman_and_testpy_dfn
343
344qemu_arm64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400345 variables:
346 TEST_PY_BD: "qemu_arm64"
347 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400348 <<: *buildman_and_testpy_dfn
349
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200350qemu_malta test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200351 variables:
352 TEST_PY_BD: "malta"
353 TEST_PY_TEST_SPEC: "not sleep and not efi"
354 TEST_PY_ID: "--id qemu"
355 <<: *buildman_and_testpy_dfn
356
357qemu_maltael test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200358 variables:
359 TEST_PY_BD: "maltael"
360 TEST_PY_TEST_SPEC: "not sleep and not efi"
361 TEST_PY_ID: "--id qemu"
362 <<: *buildman_and_testpy_dfn
363
364qemu_malta64 test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200365 variables:
366 TEST_PY_BD: "malta64"
367 TEST_PY_TEST_SPEC: "not sleep and not efi"
368 TEST_PY_ID: "--id qemu"
369 <<: *buildman_and_testpy_dfn
370
371qemu_malta64el test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200372 variables:
373 TEST_PY_BD: "malta64el"
374 TEST_PY_TEST_SPEC: "not sleep and not efi"
375 TEST_PY_ID: "--id qemu"
376 <<: *buildman_and_testpy_dfn
377
Tom Rinid2244b92019-06-19 09:25:17 -0400378qemu-ppce500 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400379 variables:
380 TEST_PY_BD: "qemu-ppce500"
381 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400382 <<: *buildman_and_testpy_dfn
383
Bin Mengaeb3ea42020-03-28 07:25:27 -0700384qemu-riscv32 test.py:
Bin Mengaeb3ea42020-03-28 07:25:27 -0700385 variables:
386 TEST_PY_BD: "qemu-riscv32"
387 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengaeb3ea42020-03-28 07:25:27 -0700388 <<: *buildman_and_testpy_dfn
389
Tom Rinic8c320e2019-08-02 11:32:37 -0400390qemu-riscv64 test.py:
Tom Rinic8c320e2019-08-02 11:32:37 -0400391 variables:
392 TEST_PY_BD: "qemu-riscv64"
393 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinic8c320e2019-08-02 11:32:37 -0400394 <<: *buildman_and_testpy_dfn
395
Bin Mengb68d9d62020-03-28 07:25:29 -0700396qemu-riscv32_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700397 variables:
398 TEST_PY_BD: "qemu-riscv32_spl"
399 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700400 <<: *buildman_and_testpy_dfn
401
402qemu-riscv64_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700403 variables:
404 TEST_PY_BD: "qemu-riscv64_spl"
405 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700406 <<: *buildman_and_testpy_dfn
407
Tom Rinid2244b92019-06-19 09:25:17 -0400408qemu-x86 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400409 variables:
410 TEST_PY_BD: "qemu-x86"
411 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400412 <<: *buildman_and_testpy_dfn
413
414qemu-x86_64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400415 variables:
416 TEST_PY_BD: "qemu-x86_64"
417 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400418 <<: *buildman_and_testpy_dfn
419
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200420r2dplus_i82557c test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200421 variables:
422 TEST_PY_BD: "r2dplus"
423 TEST_PY_ID: "--id i82557c_qemu"
424 <<: *buildman_and_testpy_dfn
425
426r2dplus_pcnet test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200427 variables:
428 TEST_PY_BD: "r2dplus"
429 TEST_PY_ID: "--id pcnet_qemu"
430 <<: *buildman_and_testpy_dfn
431
432r2dplus_rtl8139 test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200433 variables:
434 TEST_PY_BD: "r2dplus"
435 TEST_PY_ID: "--id rtl8139_qemu"
436 <<: *buildman_and_testpy_dfn
437
438r2dplus_tulip test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200439 variables:
440 TEST_PY_BD: "r2dplus"
441 TEST_PY_ID: "--id tulip_qemu"
442 <<: *buildman_and_testpy_dfn
443
Bin Meng0ae41062021-08-26 23:33:35 +0800444sifive_unleashed_sdcard test.py:
445 variables:
446 TEST_PY_BD: "sifive_unleashed"
447 TEST_PY_ID: "--id sdcard_qemu"
448 <<: *buildman_and_testpy_dfn
449
450sifive_unleashed_spi-nor test.py:
451 variables:
452 TEST_PY_BD: "sifive_unleashed"
453 TEST_PY_ID: "--id spi-nor_qemu"
454 <<: *buildman_and_testpy_dfn
455
Michal Simekf8834fd2020-02-13 15:03:29 +0100456xilinx_zynq_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400457 variables:
Michal Simekf8834fd2020-02-13 15:03:29 +0100458 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rinid2244b92019-06-19 09:25:17 -0400459 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400460 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400461 <<: *buildman_and_testpy_dfn
462
463xilinx_versal_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400464 variables:
465 TEST_PY_BD: "xilinx_versal_virt"
466 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400467 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400468 <<: *buildman_and_testpy_dfn
469
470xtfpga test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400471 variables:
472 TEST_PY_BD: "xtfpga"
473 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400474 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400475 <<: *buildman_and_testpy_dfn
Simon Glass13e1fa02022-01-21 10:23:01 -0700476
477coreboot test.py:
478 variables:
479 TEST_PY_BD: "coreboot"
480 TEST_PY_TEST_SPEC: "not sleep"
481 TEST_PY_ID: "--id qemu"
Simon Glass13e1fa02022-01-21 10:23:01 -0700482 <<: *buildman_and_testpy_dfn